org.hibernate.validator.internal.engine.messageinterpolation

## Enum InterpolationTermType

- java.lang.Object
- - java.lang.Enum<InterpolationTermType>
  - - org.hibernate.validator.internal.engine.messageinterpolation.InterpolationTermType

- All Implemented Interfaces:
    Serializable, Comparable<InterpolationTermType>

      public enum InterpolationTermType
      extends Enum<InterpolationTermType>

  Describes the type of the interpolation term.
  Author:
    Hardy Ferentschik

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EL` EL message expression, eg ${foo}.
    `PARAMETER` Message parameter, eg {foo}.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InterpolationTermType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static InterpolationTermType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EL

          public static final InterpolationTermType EL

      EL message expression, eg ${foo}.

    - #### PARAMETER

          public static final InterpolationTermType PARAMETER

      Message parameter, eg {foo}.

  - ### Method Detail

    - #### values

          public static InterpolationTermType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InterpolationTermType c : InterpolationTermType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static InterpolationTermType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved